"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_generators_1 = require("@code-shaper/react-generators");
const shaper_utils_1 = require("@code-shaper/shaper-utils");
const generators = {};
function registerGenerator(generator) {
    const { id } = generator;
    generators[id] = generator;
}
// ----- Register Generators -----
registerGenerator(react_generators_1.componentGenerator);
registerGenerator(react_generators_1.contextGenerator);
registerGenerator(react_generators_1.pageGenerator);
registerGenerator(react_generators_1.appGenerator);
registerGenerator(react_generators_1.reactLibraryGenerator);
registerGenerator(react_generators_1.playwrightGenerator);
const reactPlugin = {
    id: '@code-shaper/react',
    name: 'React',
    description: 'generates React applications',
    run: async (inputOptions) => {
        const generator = await (0, shaper_utils_1.selectGenerator)(generators, inputOptions);
        if (!generator) {
            return Promise.resolve();
        }
        return generator.generate(process.cwd(), inputOptions);
    },
};
exports.default = reactPlugin;
